NNG_STREAM_LISTENER(5)

NAME
nng_stream_listener - byte stream listener

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stream_listener nng_stream_listener;

DESCRIPTION

An nng_stream_listener is a handle to a byte stream listener, which is responsible for accepting incoming connections and creating corresponding nng_stream from them.

    Note

    The nng_stream_listener object is a low-level object for raw byte stream connections, and should not be confused with a high-level nng_listener object.

SEE ALSO

nng_stream_listener_accept(3str), nng_stream_listener_alloc(3str), nng_stream_listener_close(3str), nng_stream_listener_free(3str), nng_stream_listener_listen(3str), nng_stream(5), nng_stream_dialer(5)